Subject: Re: [PATCH] pmac: Improve sleep code of tumbler driver

From: wrobell <[email-masked]>
Date: Wed, 4 May 2005 11:30:12 +0100

On Mon, Apr 11, 2005 at 06:34:34PM +1000, Benjamin Herrenschmidt wrote:
> On Mon, 2005-04-11 at 10:18 +0200, Colin Leroy wrote:
> > On Mon, 11 Apr 2005 12:00:54 +1000
> > Benjamin Herrenschmidt <[email-masked]> wrote:
> > 
> > > This patch (applies on top of my previous one adding support for newer
> > > machines) improves the behaviour of the "tumbler/snapper" driver used
> > > on newer PowerMacs during sleep. It properly set the HW mutes to shut
> > > down amplifiers and does an analog shutdown of the codec. That might
> > > improve power consumption during sleep on a number of machines.
> > 
> > I suppose it also fixes the occasionnal loud static noise that
> > sometimes at wakeup, for example on iBook G4s. Good :)
> 
> I don't know, tell me. I didn't know about this problem.
Point 3 in
http://lists.debian.org/debian-powerpc/2004/11/msg00383.html
:-)

Anyway, now there is no distortion/noise at sleep/wakeup (linus git tree).
Thanks for your great work!

Regards,

    wrobell <[email-masked]>